Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding.capabilities
Class SpatialCapabilities

    java.lang.Object
      org.deegree.model.filterencoding.capabilities.SpatialCapabilities

    public class SpatialCapabilities

extends Object

SpatialCapabilitiesBean

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , last edited by: $Author: mschneider $

Constructor Summary
`SpatialCapabilities(SpatialOperator[] spatialOperators)` Creates a new `SpatialCapabilities` instance that complies to the `Filter Encoding Specification 1.0.0` (without `GeometryOperands`).
`SpatialCapabilities(SpatialOperator[] spatialOperators, QualifiedName[] geometryOperands)` Creates a new `SpatialCapabilities` instance that complies to the `Filter Encoding Specification 1.1.0` (with `GeometryOperands`).

Method Summary
`void` | `addSpatialOperator(SpatialOperator operator)`
`QualifiedName[]` | `getGeometryOperands()`
`SpatialOperator[]` | `getSpatialOperators()`
`boolean` | `hasOperator(String operatorName)` Returns if the given operator is supported.
`void` | `setGeometryOperands(QualifiedName[] geometryOperands)`
`void` | `setSpatialOperators(SpatialOperator[] operators)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpatialCapabilities

    public SpatialCapabilities(SpatialOperator[] spatialOperators)

  Creates a new `SpatialCapabilities` instance that complies to the `Filter Encoding Specification 1.0.0` (without `GeometryOperands`).

  Parameters:
    `spatialOperators` -

### SpatialCapabilities

    public SpatialCapabilities(SpatialOperator[] spatialOperators,
                               QualifiedName[] geometryOperands)

  Creates a new `SpatialCapabilities` instance that complies to the `Filter Encoding Specification 1.1.0` (with `GeometryOperands`).

  Parameters:
    `spatialOperators` -
    `geometryOperands` -

Method Detail

### addSpatialOperator

    public void addSpatialOperator(SpatialOperator operator)

  Parameters:
    `operator` -

### hasOperator

    public boolean hasOperator(String operatorName)

  Returns if the given operator is supported.

  Parameters:
    `operatorName` -
  Returns:
    if the given operator is supported.

### getSpatialOperators

    public SpatialOperator[] getSpatialOperators()

  Returns:
    the operators

### setSpatialOperators

    public void setSpatialOperators(SpatialOperator[] operators)

  Parameters:
    `operators` -

### getGeometryOperands

    public QualifiedName[] getGeometryOperands()

  Returns:
    Returns the geometryOperands.

### setGeometryOperands

    public void setGeometryOperands(QualifiedName[] geometryOperands)

  Parameters:
    `geometryOperands` - The geometryOperands to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org